vmp.h File Reference
Vmp class

Class Vmp: a Virtual MPI communication layer object. More...

`#include <maloc/maloc_base.h>`
`#include <maloc/vsys.h>`
`#include <maloc/vmpi.h>`
`#include <maloc/vcom.h>`
Include dependency graph for vmp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | sVmp
| Contains public data members for Vmp class. More...

## Typedefs

typedef struct sVmp | Vmp
| Declaration of the Vmp class as teh Vmp structure.

## Functions

int | Vmp_init (int *argc, char ***argv)
| The Vmp initializer.
int | Vmp_finalize (void)
| The Vmp finalizer.
Vmp * | Vmp_ctor (void)
| The Vmp constructor.
void | Vmp_dtor (Vmp **thee)
| The Vmp destructor.
int | Vmp_rank (Vmp *thee)
| Return my processor ID.
int | Vmp_size (Vmp *thee)
| Return the number of processors involved.
int | Vmp_barr (Vmp *thee)
| An MPI barrier.
int | Vmp_send (Vmp *thee, int des, char *buf, int bufsize)
| An MPI blocking send.
int | Vmp_recv (Vmp *thee, int src, char *buf, int bufsize)
| An MPI blocking receive.

## Detailed Description

Class Vmp: a Virtual MPI communication layer object.

Author
  Michael Holst

Note
  None

Version

Id
  vmp.h,v 1.22 2010/08/12 05:40:23 fetk Exp

Attention

      *
      * MALOC = < Minimal Abstraction Layer for Object-oriented C >
      * Copyright (C) 1994-- Michael Holst
      *
      * This library is free software; you can redistribute it and/or
      * modify it under the terms of the GNU Lesser General Public
      * License as published by the Free Software Foundation; either
      * version 2.1 of the License, or (at your option) any later version.
      *
      * This library is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
      * Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with this library; if not, write to the Free Software
      * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
      *
      *